View Issue Details

IDProjectCategoryView StatusLast Update
0002458SymmetricDSNew Featurepublic2016-08-09 13:12
ReporterazarubkinAssigned Toelong 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.27 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002458: Add arbitrary text at the beginning of the trigger
DescriptionThis is related to http://www.symmetricds.org/issues/view.php?id=2457
Since we can add arbitrary text after SymmetricDS trigger runs (field TRIGGER.CUSTOM_ON_INSERT_TEXT, CUSTOM_ON_UPDATE_TEXT, CUSTOM_ON_DELETE_TEXT), can we please have an ability to add arbitrary text also before SymmetricDS trigger runs?
I.e. add three more LONGVARCHAR fields to TRIGGER table which will contain texts to execute before SymmetricDS triggers on insert, update, delete actions.
TagsNo tags attached.

Relationships

related to 0002457 closedelong Identity value is spoiled after insert to replicated table 

Activities

elong

2015-12-03 14:45

developer   ~0000736

Can you put your trigger as a "before" trigger instead?

Can you explain your use case for running text at the top of the SymmetricDS trigger?

I'm concerned that this feature would allow users to modify data before the current row can be captured into sym_data, which would cause data to be captured in the wrong order.

elong

2015-12-03 14:51

developer   ~0000737

I just realized that you entered 2457 also (http://www.symmetricds.org/issues/view.php?id=2457) about preserving identities, so maybe you were looking for flexible ways to accomplish that. I guess we could just put a warning in documentation on modifying tables in a before_customer_on_x_text.

azarubkin

2015-12-04 07:29

reporter   ~0000738

Yes, exactly. I was looking for ways to solve issue 0002457. I'm not going to modify data there, I promise :-)

Related Changesets

SymmetricDS: 3.8 e1c2ff5d

2016-05-24 08:27:17

admin

Details Diff
0002458: Add arbitrary text at the beginning of the trigger
0002458
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2zOsTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql2000/MsSql2000TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/GreenplumTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlanywhere/SqlAnywhereTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 e1290aeb

2016-05-24 10:57:54

admin

Details Diff
0002458: Add arbitrary text at the beginning of the trigger
0002458
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2015-12-01 09:44 azarubkin New Issue
2015-12-03 14:45 elong Note Added: 0000736
2015-12-03 14:51 elong Note Added: 0000737
2015-12-04 07:29 azarubkin Note Added: 0000738
2016-05-24 09:00 admin Changeset attached => SymmetricDS 3.8 e1c2ff5d
2016-05-24 11:00 admin Changeset attached => SymmetricDS 3.8 e1290aeb
2016-05-24 14:03 elong Status new => resolved
2016-05-24 14:03 elong Fixed in Version => 3.8.0
2016-05-24 14:03 elong Resolution open => fixed
2016-05-24 14:03 elong Assigned To => elong
2016-05-24 14:03 admin Target Version => 3.8.0
2016-05-24 14:04 elong Relationship added related to 0002457
2016-08-09 13:12 admin Status resolved => closed